> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get plugin 1

> Get a plugin



## OpenAPI

````yaml /swagger.json get /plugin/{pluginId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /plugin/{pluginId}:
    get:
      tags:
        - plugin
      description: Get a plugin
      parameters:
        - schema:
            type: string
          required: true
          name: pluginId
          in: path
      responses:
        '200':
          description: Returns data about the plugin.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  description:
                    type: string
                  detailDesc:
                    type: string
                  logo:
                    type: string
                  config:
                    type: object
                    properties:
                      contextMenu:
                        type: object
                        properties:
                          width:
                            anyOf:
                              - type: number
                              - type: string
                          height:
                            anyOf:
                              - type: number
                              - type: string
                          x:
                            anyOf:
                              - type: number
                              - type: string
                          'y':
                            anyOf:
                              - type: number
                              - type: string
                          frozenResize:
                            type: boolean
                          frozenDrag:
                            type: boolean
                      view:
                        nullable: true
                      dashboard:
                        nullable: true
                      panel:
                        nullable: true
                  url:
                    type: string
                  helpUrl:
                    type: string
                  positions:
                    type: array
                    items:
                      type: string
                      enum:
                        - dashboard
                        - view
                        - contextMenu
                        - panel
                  i18n:
                    type: object
                    example:
                      en:
                        title: Plugin title
                        description: Plugin description
                      zh:
                        title: 插件标题
                        description: 插件描述
                  secret:
                    type: string
                  status:
                    type: string
                    enum:
                      - developing
                      - reviewing
                      - published
                  pluginUser:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      email:
                        type: string
                        format: email
                      avatar:
                        type: string
                    required:
                      - id
                      - name
                      - email
                  createdTime:
                    type: string
                  lastModifiedTime:
                    type: string
                required:
                  - id
                  - name
                  - logo
                  - positions
                  - secret
                  - status
                  - createdTime
                  - lastModifiedTime
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url https://app.teable.ai/api/plugin/%7BpluginId%7D \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url = 'https://app.teable.ai/api/plugin/%7BpluginId%7D';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/plugin/%7BpluginId%7D',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: |-
            import http.client

            conn = http.client.HTTPSConnection("app.teable.ai")

            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }

            conn.request("GET", "/api/plugin/%7BpluginId%7D", headers=headers)

            res = conn.getresponse()
            data = res.read()

            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````